Salesforce CTI adapter red error message

Red error box appears in Salesforce where the CTI adapter should be

Error message: Unable to start the Softphone XML subsystem. Please contact your Salesforce.com administrator to rectify this issue.

This error means that the Microsoft XML subsystem component required by the Salesforce adapter, MSXML6, has not been installed or properly registered. This is usually installed as part of the Flexor installation. It maybe that the User who installed Flexor did not have the proper privileges to register DLLs.

In this case, here are two possible workarounds.  

The first workaround is to download and install the MSXML6 pre-requisite component when logged in as an administrator. Please see this page on Flexor pre-requisites for a link to the MSXML6 download. 

The second is to follow this process (when logged in as a Windows administrator or at least a user who can register DLLs):

  1. Navigate in Windows Explorer to c:\windows\system32.
  2. If it is present, double click on msxml6.dll or right click and select "Open with".  It'll give you a window saying it doesn't know what to do with it.  Select "select program from list."
  3. In the ensuing window, press Browse.  There, type c:\windows\system32\regsvr32 
  4. After clicking OK or enter you should see a succeeded message
  5. Restart Flexor and your browser and login to Salesforce again.

If you still see a red error message in your browser when logged into Salesforce please send the error message and the Flexor install log to support. The Flexor Install log file (InstallLog) is found in: C:\Program Files\Camrivox\Flexor Manager\x.x.x. (where x.x.x. is the current version of Flexor).

Please note only Firefox 3.5 is supported. An update to support Firefox 3.6 will be available soon.


Copyright © Camrivox 2008.Website Terms of Use Policy - Privacy Policy - Terms & Conditions of Sale